org.apache.ignite.internal.processors.resource

## Interface DependencyResolver

All Known Implementing Classes:
  NoopDependencyResolver

    public interface DependencyResolver

The interface specifies a container of dependencies.

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> T` `resolve(T instance)` The method doing resolve input dependency and return original or override class.

### Method Detail

#### resolve

    <T> T resolve(T instance)

The method doing resolve input dependency and return original or override class.

Parameters:
  `instance` - Input dependency.
Returns:
  Original instance or override.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021